org.apache.solr.update

## Class UpdateShardHandlerConfig

- java.lang.Object
- - org.apache.solr.update.UpdateShardHandlerConfig

-     public class UpdateShardHandlerConfig
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static UpdateShardHandlerConfig` | `DEFAULT`
    `static int` | `DEFAULT_DISTRIBUPDATECONNTIMEOUT`
    `static int` | `DEFAULT_DISTRIBUPDATESOTIMEOUT`
    `static int` | `DEFAULT_MAXUPDATECONNECTIONIDLETIME`
    `static int` | `DEFAULT_MAXUPDATECONNECTIONS`
    `static int` | `DEFAULT_MAXUPDATECONNECTIONSPERHOST`
    `static int` | `DEFAULT_UPDATECONNECTIONSEVICTORSLEEPDELAY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateShardHandlerConfig(int maxUpdateConnections, int maxUpdateConnectionsPerHost, int distributedSocketTimeout, int distributedConnectionTimeout, int updateConnectionsEvictorSleepDelay, int maxUpdateConnectionIdleTime)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDistributedConnectionTimeout()`
    `int` | `getDistributedSocketTimeout()`
    `int` | `getMaxUpdateConnectionIdleTime()`
    `int` | `getMaxUpdateConnections()`
    `int` | `getMaxUpdateConnectionsPerHost()`
    `int` | `getUpdateConnectionsEvictorSleepDelay()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_DISTRIBUPDATECONNTIMEOUT

          public static final int DEFAULT_DISTRIBUPDATECONNTIMEOUT

      See Also:
        Constant Field Values

    - #### DEFAULT_DISTRIBUPDATESOTIMEOUT

          public static final int DEFAULT_DISTRIBUPDATESOTIMEOUT

      See Also:
        Constant Field Values

    - #### DEFAULT_MAXUPDATECONNECTIONS

          public static final int DEFAULT_MAXUPDATECONNECTIONS

      See Also:
        Constant Field Values

    - #### DEFAULT_MAXUPDATECONNECTIONSPERHOST

          public static final int DEFAULT_MAXUPDATECONNECTIONSPERHOST

      See Also:
        Constant Field Values

    - #### DEFAULT_UPDATECONNECTIONSEVICTORSLEEPDELAY

          public static final int DEFAULT_UPDATECONNECTIONSEVICTORSLEEPDELAY

      See Also:
        Constant Field Values

    - #### DEFAULT_MAXUPDATECONNECTIONIDLETIME

          public static final int DEFAULT_MAXUPDATECONNECTIONIDLETIME

      See Also:
        Constant Field Values

    - #### DEFAULT

          public static final UpdateShardHandlerConfig DEFAULT

  - ### Constructor Detail

    - #### UpdateShardHandlerConfig

          public UpdateShardHandlerConfig(int maxUpdateConnections,
                                          int maxUpdateConnectionsPerHost,
                                          int distributedSocketTimeout,
                                          int distributedConnectionTimeout,
                                          int updateConnectionsEvictorSleepDelay,
                                          int maxUpdateConnectionIdleTime)

  - ### Method Detail

    - #### getMaxUpdateConnectionsPerHost

          public int getMaxUpdateConnectionsPerHost()

    - #### getMaxUpdateConnections

          public int getMaxUpdateConnections()

    - #### getDistributedSocketTimeout

          public int getDistributedSocketTimeout()

    - #### getDistributedConnectionTimeout

          public int getDistributedConnectionTimeout()

    - #### getUpdateConnectionsEvictorSleepDelay

          public int getUpdateConnectionsEvictorSleepDelay()

    - #### getMaxUpdateConnectionIdleTime

          public int getMaxUpdateConnectionIdleTime()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.